import { AsyncForm } from './async-form';

describe('AsyncForm', () => {

  let asyncForm;

  beforeEach(() => {
    const element = document.createElement('div');
    asyncForm = new AsyncForm(element);
  });

  it('should create', () => {
    expect(asyncForm).toBeTruthy();
  });

  it('should throw if called without an element', () => {
    expect(() => {
      new AsyncForm();
    }).toThrow();
  });
});
